List Uma Markets
curl --request GET \
--url https://api.predexon.com/v2/polymarket/uma/markets \
--header 'x-api-key: <api-key>'import requests
url = "https://api.predexon.com/v2/polymarket/uma/markets"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.predexon.com/v2/polymarket/uma/markets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": "<string>",
"items": [
{
"question": {
"id": "<string>",
"adapter": "<string>",
"reward": "<string>",
"proposal_bond": "<string>",
"reward_token": "<string>",
"request_timestamp": 123,
"creator": "<string>",
"created_block": 123,
"created_tx_hash": "<string>",
"condition_id": "<string>",
"market_id": "<string>",
"title": "<string>",
"is_paused": false,
"is_flagged": false,
"resolved_price": "<string>",
"resolved_at": 123,
"paused_at": 123,
"flagged_at": 123,
"last_event_at": 123,
"last_tx_hash": "<string>",
"reset_count": 0
}
}
],
"pagination": {
"limit": 123,
"count": 123,
"has_more": true,
"pagination_key": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Oracle & Settlement
List UMA Markets
List UMA questions filtered by oracle state
GET
/
v2
/
polymarket
/
uma
/
markets
List Uma Markets
Returns regular non-sports UMA questions sorted by
last_event_at DESC.Authorizations
Query Parameters
UMA state: pending|proposed|disputed|reset|resolved.
Required range:
1 <= x <= 200⌘I
